---
title: Resume
eleventyNavigation:
  key: Resume
  icon: file-text
  order: 2
---

## Work History

[Washington State University](https://wsu.edu) [Division of Student Affairs](https://studentaffairs.wsu.edu/)

:	Application Developer, 2018 - present
:	Created and maintained custom web applications either as standalone software or integrating with
	third party backends


## Education

[Eastern Washington University](https://www.ewu.edu/)

:	Bachelor of Science in Computer Science
:	2014 - 2018

[Spokane Community College](https://scc.spokane.edu/)

:	Associate of Applied Science in Network Design and Administration
:	2011 - 2013

## Skills

* C# - .NET Framework and .NET 5+
	* [ASP.NET and ASP.NET Core](https://dotnet.microsoft.com/en-us/apps/aspnet) - [WebForms](https://learn.microsoft.com/en-us/aspnet/web-forms/what-is-web-forms), [MVC](https://dotnet.microsoft.com/en-us/apps/aspnet/mvc), [Razor Pages](https://learn.microsoft.com/en-us/aspnet/core/razor-pages/?view=aspnetcore-7.0&tabs=visual-studio), and [WebAPI](https://learn.microsoft.com/en-us/aspnet/core/web-api/)
	* Entity Framework and [Entity Framework Core](https://learn.microsoft.com/en-us/ef/core/)
	* [Blazor WebAssembly](https://dotnet.microsoft.com/en-us/apps/aspnet/web-apps/blazor)
	* WinForms and WPF
	* Xamarin native for MacOS
* Version control
	* Git
	* [Team Foundation Server/Azure DevOps Server](https://azure.microsoft.com/en-us/products/devops/server)
* Web development
	* HTML, CSS, JavaScript, [SASS](https://sass-lang.com/), [TypeScript](https://www.typescriptlang.org/)
	* [React](https://react.dev/)
	* Create and consume REST APIs with [OpenAPI](https://www.openapis.org/), [Swashbuckle](https://github.com/domaindrivendev/Swashbuckle.AspNetCore), and [NSwag](https://github.com/RicoSuter/NSwag)
	* [WCF](https://learn.microsoft.com/en-us/dotnet/framework/wcf/whats-wcf)/SOAP
* Web server administration
	* Linux (NGINX, Apache, Caddy) and Windows Server (IIS)
	* Continuous Integration and Continuous Deployment via [Azure DevOps Server](https://azure.microsoft.com/en-us/products/devops/server)
